%define pkg_name        DateManip
%define pkg_version     5.47
%define rpm_pkg_version 5.47
%define rpm_pkg_release 1.n0i.8


Summary:       Complete date/time manipulation package
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cise.ufl.edu/~sbeck/%{pkg_name}.tar.gz
#Source0:       http://www.cpan.org/authors/id/S/SB/SBECK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools


%description
This is a set of routines designed to make any common date/time manipulation
easy to do.  Operations such as comparing two times, calculating a time a
given amount of time from another, or parsing international times are all
easily done.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc DateManip.cnf HISTORY README TODO
%{perl_files}


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 5.47-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 5.47

* Thu Jul 21 2005 Marius Feraru <altblue@n0i.net> 5.44-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:5.42a-4.n0i.6
- automatic rebuild (perl 5.8.6)

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:5.42a-4.n0i.5
- rebuild (perl 5.8.6)

* Tue Jun 22 2004 Marius FERARU <altblue@n0i.net> 0:5.42a-2.n0i.4
- override FC official version

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:5.42-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 0:5.42-0.n0i.1.a.1
- automatic rebuild (perl 5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:5.42-0.n0i.0.a.1
- version 5.42
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
